#ifndef CMWMANUALKERF_H
#define CMWMANUALKERF_H

#include "cmwidget.h"

namespace Ui {
class CMWManualKerf;
}
class CMWCamLight;
class CMWManualKerf : public CMWidget
{
    Q_OBJECT

public:
    explicit CMWManualKerf(QWidget *parent = 0);
    ~CMWManualKerf();
    void MInit();
    void MApply();
    void MFresh();
    void MTimeFresh();
//    void FreshBinary();
//    void ApplyBinary();
    int32_t m_iCurSideID;
    int32_t m_iCurCamID;
    int32_t m_iCurLayer;
    QString strCurFile;
    void showEvent(QShowEvent * pEvent);
    void hideEvent(QHideEvent *event);
private slots:
    void on_pushButton_CheckPos_clicked();

    void on_pushButton_AutoSet_clicked();
	void on_btnTestCur_clicked();

    void on_pushButton_ManualSet_clicked();

    void on_pushButton_N5_clicked();

    void on_pushButton_N1_clicked();


    void on_pushButton_P1_clicked();

    void on_pushButton_P5_clicked();


    void on_pushButton_Test_clicked();

    void on_pushButton_N5_binary_clicked();

    void on_pushButton_N1_binary_clicked();

    void on_pushButton_Test_binary_clicked();

    void on_pushButton_P1_binary_clicked();

    void on_pushButton_P5_binary_clicked();

    void on_horizontalSlider_Exposure_valueChanged(int value);

    void on_checkBox_AutoThres_clicked(bool checked);

    void on_horizontalSlider_Gain_valueChanged(int value);

    void on_pushButton_SetCurSpec_clicked();
private:
    Ui::CMWManualKerf *ui;
    void TestKerf(int offset);
    void TestBinary(int offset);
};

#endif // CMWMANUALKERF_H
